#
# spec file for package kdenetwork3 (Version 3.1.1)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  kde3-devel-packages libart_lgpl libart_lgpl-devel
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs arts arts-devel autoconf automake binutils bzip2 cracklib expat fam fam-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext kdelibs3 kdelibs3-devel libart_lgpl libart_lgpl-devel libjpeg liblcms liblcms-devel libmng libmng-devel libpng libpng-devel libstdc++-devel libtiff libtool libxml2 libxml2-devel libxslt libxslt-devel mesa mesa-devel mesaglu mesaglu-devel mesaglut mesaglut-devel mesasoft openssl openssl-devel perl qt3 qt3-devel rpm

Name:         kdenetwork3
Requires:     ppp
License:      GPL
Group:        Productivity/Networking/System
Summary:      KDE network libraries
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Version:      3.1.1
Release:      179
Source0:      kdenetwork-kroupware-1.0.1.tar.bz2
Source1:      init.lisa
Source2:      kdenetwork3.fillup
Source3:      SuSEconfig.lisa
Source4:      SuSEconfig.lisa.new
Source10:     microhttpd.tar.bz2
Source11:     krdc-head.tar.bz2
Patch:        3_1_BRANCH_PARTS.diff
Patch1:       kppp-security.dif   
Patch2:       lisa.dif
Patch3:       SuSE-news.dif
Patch4:       newsticker.desktop.dif
Patch5:       kmail.dif
Patch6:       lanbrowser-security.dif
Patch7:       kmail_print.diff
Patch8:       krfb.diff
Patch9:       prevent_kmail_from_moving.diff
%if %suse_version > 730
Provides:     kdenetwork knet
%endif

%description
Required libraries for the following packages:

kdenetwork3-chat
kdenetwork3-dialup
kdenetwork3-lan
kdenetwork3-mail
kdenetwork3-news
kdenetwork3-query

Authors:
--------
    The KDE Team <kde@kde.org>

%package chat
# usesubdirs kit ksirc
Provides:     kdenetwork3:/opt/kde3/bin/kit
Summary:      Chat applications for KDE
Group:        Productivity/Networking/IRC

%description chat
Some applications for chatting via IRC or instant messaging.

ksirc - IRC client
kit - AOL Instant Messenger Client (requires a registration)

Authors:
--------
    The KDE Team <kde@kde.org>

%package query
# usesubdirs kdict
Provides:     kdenetwork3:/opt/kde3/bin/kdict
Provides:     kdenetwork:/opt/kde2/bin/kdict
Summary:      clients for internet databases
Group:        Productivity/Databases/Clients

%description query
kdict is a client for the dict database. The dict databases are dictonaries which can be queried for free over the internet.

Authors:
--------
    The KDE Team <kde@kde.org>

%package vnc
# usesubdirs krdc krfb
Summary:      KDE network libs
Group:        Productivity/Networking/System
Requires:     vnc

%description vnc
Required libs for following packages:

kdenetwork3-chat
kdenetwork3-dialup
kdenetwork3-lan
kdenetwork3-mail
kdenetwork3-news
kdenetwork3-query

Authors:
--------
    The KDE Team <kde@kde.org>

%package dialup
# usesubdirs kppp
Provides:     kdenetwork3:/opt/kde3/bin/kppp
Provides:     kdenetwork:/opt/kde2/bin/kppp
Summary:      kppp modem dialup tool
Group:        Productivity/Networking/System

%description dialup
kppp is a tool for internet dialup via modem.

The default tool on SuSE is kinternet, which handles also ISDN and DSL.

Authors:
--------
    The KDE Team <kde@kde.org>

%package mail
# usesubdirs kmail kmailcvt korn
Provides:     kdenetwork3:/opt/kde3/bin/kmail
Provides:     kdenetwork:/opt/kde2/bin/kmail
Summary:      KDE e-mail applications
Group:        Productivity/Networking/Email/Clients

%description mail
This package contains:
kmail: the default KDE mailer. It supports all kind of mail formats and
servers, pgp encryption, and can handle filter rules. This version has built
in Kolab support for extended groupware features like calendaring, tasks, notes
and contact management
kmailcvt: imports mail folders from Netscape, Outlook, Exchange, Eudora,
and Pegasus
korn: to monitor your mailbox

Authors:
--------
    The KDE Team <kde@kde.org>

%package news
# usesubdirs knode knewsticker
Provides:     kdenetwork3:/opt/kde3/bin/knode
Provides:     kdenetwork:/opt/kde2/bin/knode
Summary:      News-related KDE applications
Group:        Productivity/Networking/News/Clients

%description news
Knode is a usenet news client.
Knewstickerstub is a newsticker.

Authors:
--------
    The KDE Team <kde@kde.org>

%package lan
# usesubdirs kpf kxmlrpc lanbrowsing/kcmlisa lanbrowsing/kio_lan
Requires:     kdebase3 kdebase3-samba
Provides:     kdenetwork3:/opt/kde3/bin/kpf
Provides:     kdenetwork:/opt/kde2/bin/kpf
Summary:      LAN applications
Group:        Productivity/Networking/System

%description lan
Applications for local networks:

kio_lan: shows open services in the local network. It requires a running
lisa damon in the network.(kdenetwork3-lisa Paket)
kxmlrpcd: XmlRpc-DCOP-damon

Authors:
--------
    The KDE Team <kde@kde.org>

%package lisa
# usesubdirs lanbrowsing/lisa
Conflicts:    kdenetwork-lisa
Summary:      Network scanner daemon
Group:        Productivity/Networking/System
PreReq:       %fillup_prereq %insserv_prereq

%description lisa
LISA scans your network for active hosts and offered services. This services can be used in konqueror by using the URL "lan://localhost". You can set the  variable USE_LISA to "server" in YaST sysconfig editor, if you want to offer this services to all your local clients.

You need not an installed KDE for this package.

Authors:
--------
    The KDE Team <kde@kde.org>

%package devel
Requires:     kdenetwork3 kdelibs3-devel
Summary:      build enviroment from kdenetwork
Group:        Development/Libraries/KDE
%if %suse_version > 730
Provides:     kdenetwork-devel
%endif

%description devel
The build enviroment from kdenetwork.

You need this package to compile applications, which uses libraries from kdenetwork.

Authors:
--------
    The KDE Team <kde@kde.org>

%prep
#%setup -n kdenetwork-%{version}
%setup -n kdenetwork-kroupware-1.0.1
#%patch
%patch1
%patch2
#%patch3
#%patch4
#%patch5
#%patch6 -p1
#%patch7
%patch8
#%patch9
# remove ktalkd for security reasons
rm -rf ktalkd
cd krfb
bunzip2 -cd %SOURCE10 | tar xfv -
cd -
rm -rf krdc
bunzip2 -cd %SOURCE11 | tar xfv -
. /etc/opt/kde3/common_options
update_admin

%build
. /etc/opt/kde3/common_options
CXXFLAGS="$RPM_OPT_FLAGS $CXXFLAGS -DNDEBUG " ./configure \
  $configkde
  
make

%install
[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=$RPM_BUILD_ROOT install-strip
mkdir -p $RPM_BUILD_ROOT/etc/ppp/peers
install -m 0644 kppp_peers $RPM_BUILD_ROOT/etc/ppp/peers/kppp
#
# setup LISa daemons
mkdir -p $RPM_BUILD_ROOT/usr/sbin/
mv $RPM_BUILD_ROOT/opt/kde3/bin/lisa $RPM_BUILD_ROOT/usr/sbin/lisa
ln -sf ../../../usr/sbin/lisa $RPM_BUILD_ROOT/opt/kde3/bin/lisa 
#
# Install lisa init script
mkdir -p $RPM_BUILD_ROOT/etc/init.d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 744 %SOURCE1 $RPM_BUILD_ROOT/etc/init.d/lisa
ln -sf ../../etc/init.d/lisa $RPM_BUILD_ROOT/usr/sbin/rclisa
#
# Install kdenetwork3.fillup template and SuSEconfig.lisa
FILLUP_DIR=$RPM_BUILD_ROOT/var/adm/fillup-templates
mkdir -p $FILLUP_DIR
install -o root -g root %SOURCE2 $FILLUP_DIR/sysconfig.lisa
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d
%if %suse_version < 800
install -m 0755 %SOURCE3 $RPM_BUILD_ROOT/sbin/conf.d/SuSEconfig.lisa
%else
install -m 0755 %SOURCE4 $RPM_BUILD_ROOT/sbin/conf.d/SuSEconfig.lisa
%endif
#
# fix security issues
# 
chmod 0755 $RPM_BUILD_ROOT/opt/kde3/bin/kppp

%post
%run_ldconfig
%if %suse_version > 800

%post chat
%run_ldconfig

%post lan
%run_ldconfig
%endif

%post lisa
%{fillup_and_insserv -n lisa lisa}

%postun lisa
%insserv_cleanup

%clean
#[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
/opt/kde3/bin/kg*
/opt/kde3/%_lib/kde3/kfile_rfc822.*
/opt/kde3/%_lib/kde3/khtml_kget.*
/opt/kde3/%_lib/libkdenetwork.*
/opt/kde3/%_lib/libmimelib.*
/opt/kde3/share/applnk/Internet/kget.desktop
/opt/kde3/share/apps/kg*
/opt/kde3/share/apps/khtml/kpartplugins/kget_plug_in.rc
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kn*
%doc %lang(en) /opt/kde3/share/doc/HTML/en/lisa
/opt/kde3/share/icons/*/*x*/*/kget.png
/opt/kde3/share/icons/*/*x*/*/kget_list.png
/opt/kde3/share/icons/*/*x*/*/khtml_kget.png
/opt/kde3/share/mimelnk/application/x-kgetlist.desktop
/opt/kde3/share/services/kfile_rfc822.desktop
%if %suse_version > 800

%files chat
%defattr(-,root,root)
%endif
/opt/kde3/bin/dsirc
/opt/kde3/bin/kit
/opt/kde3/bin/ksirc
/opt/kde3/%_lib/ksirc.*
/opt/kde3/share/applnk/Internet/kit.desktop
/opt/kde3/share/applnk/Internet/ksirc.desktop
/opt/kde3/share/apps/kit
/opt/kde3/share/apps/ksirc
%config /opt/kde3/share/config/*rc
/opt/kde3/share/icons/*/*x*/*/kit.png
/opt/kde3/share/icons/*/*x*/*/ksirc.png
%doc /opt/kde3/share/doc/HTML/en/ksirc
%doc /opt/kde3/share/doc/HTML/en/kit
%if %suse_version > 800

%files query
%defattr(-,root,root)
%endif
/opt/kde3/bin/kdict
/opt/kde3/%_lib/kde3/kdict_panelapplet.*
/opt/kde3/share/applnk/Utilities/kdict.desktop
/opt/kde3/share/apps/kdict
/opt/kde3/share/apps/kicker/applets/kdictapplet.desktop
/opt/kde3/share/icons/*/*x*/*/kdict.png
%doc /opt/kde3/share/doc/HTML/en/kdict
%if %suse_version > 800

%files vnc
%defattr(-,root,root)
%endif
/opt/kde3/bin/kr*
/opt/kde3/bin/microhttpd
/opt/kde3/%_lib/kde3/kcm_krfb.*
/opt/kde3/%_lib/kde3/kded_kinetd.*
#/opt/kde3/share/applnk/Internet/krdc.desktop
/opt/kde3/share/applnk/Settings/Network/kcmkrfb.desktop
/opt/kde3/share/applnk/System/*.desktop
/opt/kde3/share/apps/kr*
/opt/kde3/share/apps/kinetd
#/opt/kde3/share/icons/*/*x*/*/krdc.png
/opt/kde3/share/icons/*/*x*/*/krfb.png
/opt/kde3/share/services/kded/kinetd.desktop
/opt/kde3/share/services/kinetd_krfb.desktop
#/opt/kde3/share/services/vnc.protocol
#/opt/kde3/share/services/rdp.protocol
/opt/kde3/share/services/kinetd_krfb_httpd.desktop
/opt/kde3/share/servicetypes/kinetdmodule.desktop
%doc /opt/kde3/share/doc/HTML/en/krfb
%if %suse_version > 800

%files dialup
%defattr(-,root,root)
%endif
/opt/kde3/bin/kppp*
/opt/kde3/share/applnk/Internet/Kppp.desktop
/opt/kde3/share/applnk/Internet/More/kppplogview.desktop
/opt/kde3/share/applnk/Internet/kppplogview.desktop
/opt/kde3/share/apps/kppp
/opt/kde3/share/icons/*/*x*/*/kppp.png
%doc /opt/kde3/share/doc/HTML/en/kppp
%if %suse_version > 800

%files mail
%defattr(-,root,root)
%endif
/opt/kde3/bin/kmail*
/opt/kde3/bin/korn
/opt/kde3/share/applnk/Internet/KMail.desktop
/opt/kde3/share/applnk/Internet/KOrn.desktop
/opt/kde3/share/applnk/Internet/More/KOrn.desktop
/opt/kde3/share/applnk/Utilities/kmailcvt.desktop
/opt/kde3/share/apps/kconf_update/kmail*
/opt/kde3/share/apps/kmail
/opt/kde3/share/icons/*/*x*/*/kmail.png
/opt/kde3/share/icons/*/*x*/*/kmailcvt.png
/opt/kde3/share/icons/*/*x*/*/korn.png
/opt/kde3/share/apps/kconf_update/kpgp*
/opt/kde3/share/apps/kconf_update/upgrade-*
/opt/kde3/%_lib/kde3/khtml_kget.*
/opt/kde3/%_lib/libktnef.*
/opt/kde3/include/ktnef/ktnefparser.h
/opt/kde3/include/ktnef/ktnefattach.h
/opt/kde3/include/ktnef/ktnefproperty.h
/opt/kde3/include/ktnef/ktnefpropertyset.h
/opt/kde3/include/ktnef/ktnefmessage.h
/opt/kde3/include/ktnef/ktnefwriter.h
/opt/kde3/include/ktnef/ktnefdefs.h
/opt/kde3/share/icons/locolor/*x*/*/ktnef.png
/opt/kde3/share/apps/ktnef/icons/locolor/*x*/*/ktnef_extract_to.png
/opt/kde3/share/apps/ktnef/icons/locolor/*x*/*/ktnef_extract_all_to.png
/opt/kde3/bin/ktnef*
/opt/kde3/share/mimelnk/application/ms-tnef.desktop
/opt/kde3/share/applnk/Utilities/ktnef.desktop
/opt/kde3/share/apps/ktnef/ktnefui.rc
%doc /opt/kde3/share/doc/HTML/en/korn
%doc /opt/kde3/share/doc/HTML/en/kmail
%doc /opt/kde3/share/doc/HTML/en/kgpgcertmanager
%config(noreplace) /etc/ppp/peers/kppp
%if %suse_version > 800

%files news
%defattr(-,root,root)
%endif
/opt/kde3/bin/kn*
/opt/kde3/%_lib/kde3/kcm_knewsticker.*
/opt/kde3/%_lib/kde3/knewsticker_panelapplet.*
/opt/kde3/%_lib/libkntsrcfilepropsdlg.*
/opt/kde3/share/applnk/.hidden/kcmnewsticker.desktop
/opt/kde3/share/applnk/.hidden/knewstickerstub.desktop
/opt/kde3/share/applnk/Internet/KNode.desktop
/opt/kde3/share/applnk/Internet/More/knewsticker-standalone.desktop
/opt/kde3/share/applnk/Internet/knewsticker-standalone.desktop
/opt/kde3/share/applnk/Settings/Personalization/kcmnewsticker.desktop
/opt/kde3/share/apps/kconf_update/kn*
/opt/kde3/share/apps/kicker/applets/knewsticker.desktop
/opt/kde3/share/apps/knewsticker
/opt/kde3/share/apps/knode
/opt/kde3/share/icons/*/*x*/*/knewsticker.png
/opt/kde3/share/icons/*/*x*/*/knode.png
/opt/kde3/share/services/kn*
%if %suse_version > 800

%files lan
%defattr(-,root,root)
%endif
/opt/kde3/bin/kxmlrpcd
/opt/kde3/%_lib/kde3/kcm_lanbrowser.*
/opt/kde3/%_lib/kde3/kcm_xmlrpcd.*
/opt/kde3/%_lib/kde3/kio_lan.*
/opt/kde3/%_lib/kde3/kpf*
/opt/kde3/%_lib/kxmlrpcd.*
/opt/kde3/share/applnk/.hidden/kcmkiolan.desktop
/opt/kde3/share/applnk/.hidden/kcmlisa.desktop
/opt/kde3/share/applnk/.hidden/kcmreslisa.desktop
/opt/kde3/share/apps/kicker/applets/kpfapplet.desktop
/opt/kde3/share/apps/konqueror/dirtree
/opt/kde3/share/icons/*/*x*/*/kpf.png
/opt/kde3/share/services/kpfpropertiesdialogplugin.desktop
/opt/kde3/share/services/kxmlrpcd.desktop
/opt/kde3/share/services/lan.protocol
/opt/kde3/share/services/rlan.protocol
%doc /opt/kde3/share/doc/HTML/en/kpf
%doc /opt/kde3/share/doc/HTML/en/kcontrol/lanbrowser
%if %suse_version > 800

%files lisa
%defattr(-,root,root)
%endif
/usr/sbin/lisa
/usr/sbin/rclisa
/sbin/conf.d/SuSEconfig.lisa
/etc/init.d/lisa
/var/adm/fillup-templates/sysconfig.lisa
/opt/kde3/bin/lisa
/opt/kde3/bin/reslisa
/opt/kde3/share/apps/lisa

%files devel
%defattr(-,root,root)
/opt/kde3/include/*.h
/opt/kde3/include/mimelib

%changelog -n kdenetwork3
* Tue Apr 22 2003 - adrian@suse.de
- protects mail loss when using IMAP (#25644)
- fixes gpg handling, if no gpg-agent is running (#26141)
* Wed Mar 12 2003 - meissner@suse.de
- Use krdc (vncviewer) from KDE HEAD, fixed one additional
  image pointer. krdc was not working before, this was one
  at least works. #25138
* Tue Mar 11 2003 - adrian@suse.de
- update to 3.1.1, try 2
* Mon Mar 03 2003 - adrian@suse.de
- update to 3.1.1
* Thu Feb 27 2003 - coolo@suse.de
- updating 3_1_BRANCH with a couple of fixes
* Wed Feb 19 2003 - meissner@suse.de
- fix DCOP calls to enable krfb and krfb_httpd #23707
* Fri Feb 07 2003 - adrian@suse.de
- add microhttpd for vnc from Marcus
* Wed Feb 05 2003 - adrian@suse.de
- update KDE_3_1_BRANCH patch
- add patch from Waldo to be able to print single attachments
  with 3.1 (#bobbele1)
* Mon Feb 03 2003 - adrian@suse.de
- add KDE_3_1_BRANCH patch
* Thu Jan 30 2003 - adrian@suse.de
- split -vnc package
* Fri Jan 17 2003 - adrian@suse.de
- use RC7-try2 tar ball
* Wed Jan 15 2003 - adrian@suse.de
- update to RC7
- add meta data for fillup
* Tue Jan 07 2003 - adrian@suse.de
- update to RC6
* Mon Nov 25 2002 - adrian@suse.de
- update to RC5
* Wed Nov 20 2002 - adrian@suse.de
- update to version 3.1-RC4 (final ?)
* Sun Nov 03 2002 - adrian@suse.de
- update to version 1.1.0.20021030 ~= RC1
* Fri Oct 11 2002 - adrian@suse.de
- add missing /etc/ppp/peers/kppp to file list
* Tue Oct 08 2002 - adrian@suse.de
- update to version 3.0.4
* Wed Sep 04 2002 - adrian@suse.de
- add bigendian fix from waldo
* Mon Sep 02 2002 - coolo@suse.de
- fixing kmail's default config for real
* Sat Aug 31 2002 - adrian@suse.de
- add security fix from okir for the lan_browser client and
  lisa daemon
- fix support for fish/ssh protocol
* Fri Aug 30 2002 - adrian@suse.de
- apply fix for hangup if a empty line is in /etc/lisarc
- do not write empty lines anymore ;)
- init script fixes
- add %%insserv_prereq to PreReq for -lisa package
- improve lisarc generation in general
- do not allow more than a class C anymore, lisa is not able
  to handle it
- enable samba scan only if nmblookup is present
* Wed Aug 14 2002 - coolo@suse.de
- fixing kmail problems (#17708 and most likely also #17709)
* Mon Aug 12 2002 - kukuk@suse.de
- lisa.init: Use $time instead of xntpd in Required-Start
* Thu Aug 08 2002 - adrian@suse.de
- update to version 3.0.3
- add %%run_ldconfig
* Tue Aug 06 2002 - adrian@suse.de
- fix PreRequires
* Wed Jul 31 2002 - adrian@suse.de
- remove Requirement to samba-client (obsolete)
- use current 3_0_BRANCH
  * remove knode.dif (obsolete)
* Tue Jul 16 2002 - coolo@suse.de
- add fix for knode crashing on missing group name
* Sat Jul 06 2002 - adrian@suse.de
- add missing Provides: update from KDE 2
* Fri Jul 05 2002 - adrian@suse.de
- split package into subpackages -mail, -news, -query, -chat,
-dialup and -lan. (lisa and devel was already splitted)
- fix SuSEconfig.lisa script for /etc/sysconfig configurations
* Mon Jul 01 2002 - adrian@suse.de
- fix kdenewsticker start path, if $KDEDIR is not set
* Tue Jun 25 2002 - adrian@suse.de
- update to version 3.0.2
* Sun Jun 09 2002 - ro@suse.de
- use update_admin and new common_options
* Wed May 22 2002 - adrian@suse.de
- remove ktalkd for security reasons
* Fri May 10 2002 - adrian@suse.de
- update to 3.0.1
* Tue May 07 2002 - meissner@suse.de
- %%_lib fixes, generic KDE fixes applied.
* Fri Apr 26 2002 - coolo@suse.de
- adding 3.0 branch patch with e.g. kmail fixes
* Mon Mar 25 2002 - adrian@suse.de
- 3.0 final, second try of tar ball
* Mon Mar 25 2002 - adrian@suse.de
- update to 3.0 final :)
* Thu Mar 21 2002 - adrian@suse.de
- update to 3.0rc3
* Mon Mar 11 2002 - ro@suse.de
- adapted DEFAULT_NEWSSOURCES for knewsticker
* Sun Mar 10 2002 - adrian@suse.de
- update to 3.0rc2
* Mon Mar 04 2002 - adrian@suse.de
- update to 3.0rc1
* Mon Feb 25 2002 - adrian@suse.de
- update to snapshot 2.92.2002022512
* Mon Feb 18 2002 - adrian@suse.de
- update to snapshot 2.92.2002021810
* Fri Feb 15 2002 - adrian@suse.de
- update to snapshot 2.92.2002021421
* Mon Feb 11 2002 - adrian@suse.de
- update to snapshot 2.92.2002021111
* Fri Feb 08 2002 - arvin@suse.de
- updated kppp-security.dif
* Wed Feb 06 2002 - adrian@suse.de
- update to version 2.92 (KDE 3.0 beta 2)
- use common_compile_flags
* Mon Jan 28 2002 - adrian@suse.de
- update to snapshot 2.91.2002012811
* Wed Jan 23 2002 - adrian@suse.de
- update to snapshot 2.91.2002012221
* Thu Jan 10 2002 - adrian@suse.de
- update to version 2.91.20020110
* Tue Dec 18 2001 - adrian@suse.de
- update to version 2.91 (3.0 beta1)
* Wed Nov 14 2001 - adrian@suse.de
- update to version 2.2.2
* Mon Nov 12 2001 - ro@suse.de
- use kde2-devel-packages in neededforbuild
* Sun Sep 23 2001 - adrian@suse.de
- add fix for kmail from cvs. On failing pop account caused all
  others to fail.
* Tue Sep 18 2001 - adrian@suse.de
- add Requires: samba-client to kdenetwork-lisa
* Tue Sep 11 2001 - adrian@suse.de
- update to second try of 2.2.1 tar balls
* Sat Sep 08 2001 - adrian@suse.de
- update to 2.2.1
* Mon Aug 06 2001 - adrian@suse.de
- update to 2.2 final
* Wed Aug 01 2001 - adrian@suse.de
- 2.2pre1
* Fri Jun 29 2001 - adrian@suse.de
- 2.2beta1
* Mon Apr 16 2001 - adrian@suse.de
- 2.2alpha1
* Mon Apr 09 2001 - ro@suse.de
- fixed spec
* Sun Apr 08 2001 - adrian@suse.de
- -O2 for alpha
  update to current KDE_2_1_BRANCH (kppp fix)
* Fri Mar 30 2001 - ro@suse.de
- neededforbuild fix
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Wed Mar 21 2001 - adrian@suse.de
- Obsolete kmailcvt
* Tue Mar 20 2001 - adrian@suse.de
- update to 2.1.1 (official tar ball)
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- removed second occurence of docbk30 from neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Feb 22 2001 - adrian@suse.de
- update to final 2.1.0
* Wed Feb 14 2001 - adrian@suse.de
- update to 2.1 post beta 2
* Mon Feb 12 2001 - ro@suse.de
- fix compilation
* Sun Jan 07 2001 - adrian@suse.de
- change icon handling
* Sun Dec 17 2000 - adrian@suse.de
- fix icon file conflicts
* Wed Dec 13 2000 - adrian@suse.de
- update to current 2_0_BRANCH
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Thu Nov 16 2000 - adrian@suse.de
- New version from KDE_2_0_BRANCH
* Thu Nov 02 2000 - adrian@suse.de
- fixed file list
* Wed Oct 25 2000 - adrian@suse.de
- added kppp security patch (not set uid root anymore needed)
  passwordfd dif from arvin
* Tue Oct 17 2000 - adrian@suse.de
- update to 2.0.0
* Tue Sep 12 2000 - adrian@suse.de
- update to RC 1
* Mon Aug 21 2000 - adrian@suse.de
- update to beta 4 / 1.93
* Sat Jul 29 2000 - adrian@suse.de
- fixed kmail seg fault at startup
* Fri Jul 21 2000 - adrian@suse.de
- update to beta 3
* Tue Jul 18 2000 - adrian@suse.de
- compile fix
* Tue Jul 18 2000 - adrian@suse.de
- update to snapshot from 17.07.2000
* Sun Jul 09 2000 - adrian@suse.de
- update to snapshot from 06.07.2000
* Fri Jun 09 2000 - adrian@suse.de
- update to 1.91; beta 2
* Tue Jun 06 2000 - adrian@suse.de
- snapshot from 06.06.2000
* Sun May 28 2000 - adrian@suse.de
- snapshot from 28.05.2000
  new type of spec file
* Fri May 12 2000 - adrian@suse.de
- Spec file created from kdenetwork-1.90.tar.gz by autospec
